Package it.ernytech.tdlib

## Class TdApi.SendBotStartMessage

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SendBotStartMessage

Enclosing class:
  TdApi

    public static class TdApi.SendBotStartMessage
    extends TdApi.Function

Invites a bot to a chat (if it is not yet a member) and sends it the /start command. Bots can't be invited to a private chat other than the chat with the bot. Bots can't be invited to channels (although they can be added as admins) and secret chats. Returns the sent message.

Returns `Message`

### Field Summary

Fields
`int` `botUserId` Identifier of the bot.
`long` `chatId` Identifier of the target chat.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `parameter` A hidden parameter sent to the bot for deep linking purposes (https://api.telegram.org/bots#deep-linking).

### Constructor Summary

Constructors
`SendBotStartMessage()` Default constructor.
`SendBotStartMessage​(int botUserId, long chatId, java.lang.String parameter)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### botUserId

    public int botUserId

Identifier of the bot.

#### chatId

    public long chatId

Identifier of the target chat.

#### parameter

    public java.lang.String parameter

A hidden parameter sent to the bot for deep linking purposes (https://api.telegram.org/bots#deep-linking).

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SendBotStartMessage

    public SendBotStartMessage()

Default constructor.

#### SendBotStartMessage

    public SendBotStartMessage​(int botUserId,
                               long chatId,
                               java.lang.String parameter)

Constructor for initialization of all fields.

Parameters:
  `botUserId` - Identifier of the bot.
  `chatId` - Identifier of the target chat.
  `parameter` - A hidden parameter sent to the bot for deep linking purposes (https://api.telegram.org/bots#deep-linking).

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR